#!/bin/bash
# Script para realizar o backup e enviar via FTP
#
DATA=`date +%d%m%Y`
DATE_PREFIX=$(date +%Y%m%d)

MAQUINA=`hostname`
#---- parte editável --------------------------
#coloque os diretórios que serão backapeados
DIRETORIOS="/home/backup/asterisk/${DATE_PREFIX}"
#  Dados do arquivo de backup - mude se desejar
ARQUIVO="Asterisk_${DATE_PREFIX}.tar.gz"

# Dados do servidor FTP para onde o backup serah enviado
HOST_FTP="ftp.jserver.com.br"
USUARIO_FTP="intertower@jserver.com.br"
SENHA_FTP="25458565"

# ---- não precisa mais editar abaixo ---------
# Cria o arquivo .tar.gz no /tmp (Temporário)
#cd /tmp
##find $DIRETORIOS -mtime -1 -type f -print |
#find $DIRETORIOS -type f -print |
#tar czf /tmp/$ARQUIVO -T -

# Acessa o FTP e envia os arquivos de backup
ftp -in <<EOF
open $HOST_FTP
user $USUARIO_FTP $SENHA_FTP
bin
lcd /${DIRETORIOS}
mput *
bye
EOF

# Apaga o backup em /tmp
#rm -rf /tmp/backup-xml-*.tar.gz
