#!/bin/bash

#Debug - descomente a linha abaixo
#set -x

MYSQL="/usr/bin/mysqldump"
MYSQLUSR="root"
MYSQLPW="16tower05"

PATH_BACKUP="/home/backup/bd"
DATE_PREFIX=$(date +%Y%m%d)

mkdir -p ${PATH_BACKUP}/${DATE_PREFIX}
$MYSQL -u${MYSQLUSR} -p${MYSQLPW} --add-drop-table --add-locks mya2billing > ${PATH_BACKUP}/${DATE_PREFIX}/mya2billing_${DATE_PREFIX}.sql
$MYSQL -u${MYSQLUSR} -p${MYSQLPW} --add-drop-table --add-locks rmc > ${PATH_BACKUP}/${DATE_PREFIX}/rmc_${DATE_PREFIX}.sql
gzip -f ${PATH_BACKUP}/${DATE_PREFIX}/mya2billing_${DATE_PREFIX}.sql
gzip -f ${PATH_BACKUP}/${DATE_PREFIX}/rmc_${DATE_PREFIX}.sql
