#!/bin/bash

#Debug - descomente a linha abaixo
#set -x

PATH_BACKUP="/home/backup/asterisk"
DATE_PREFIX=$(date +%Y%m%d)
REMOTEDIR=`hostname`
DIRETORIOS="/home/backup/asterisk/${DATE_PREFIX}"

mkdir -p ${PATH_BACKUP}/${DATE_PREFIX}
tar czvf ${PATH_BACKUP}/${DATE_PREFIX}/Asterisk_${DATE_PREFIX}.tar.gz /etc/asterisk/

# Dados do servidor FTP para onde o backup serah enviado
HOST_FTP="ftp.bonamigo.net"
USUARIO_FTP="intertower@bonamigo.net"
SENHA_FTP="01@25458565#04"

# Acessa o FTP e envia os arquivos de backup
ftp -in <<EOF
open $HOST_FTP
user $USUARIO_FTP $SENHA_FTP
bin
cd ${REMOTEDIR}
lcd /${DIRETORIOS}
mput * 
bye
EOF

find ${PATH_BACKUP}/* -mtime +30 -exec rm -rf {} \;
