#!/bin/bash

#Debug - descomente a linha abaixo
#set -x

MYSQL="/usr/bin/mysqldump"
MYSQLUSR="root"
MYSQLPW="16tower05"

PATH_BACKUP="/home/backup/bd"
DATE_PREFIX=$(date +%Y%m%d)
DIRETORIOS="/home/backup/bd/${DATE_PREFIX}"
REMOTEDIR=`hostname`

mkdir -p ${PATH_BACKUP}/${DATE_PREFIX}
$MYSQL -u${MYSQLUSR} -p${MYSQLPW} --add-drop-table --add-locks mya2billing > ${PATH_BACKUP}/${DATE_PREFIX}/mya2billing_${DATE_PREFIX}.sql
$MYSQL -u${MYSQLUSR} -p${MYSQLPW} --add-drop-table --add-locks rmc > ${PATH_BACKUP}/${DATE_PREFIX}/rmc_${DATE_PREFIX}.sql
gzip -f ${PATH_BACKUP}/${DATE_PREFIX}/mya2billing_${DATE_PREFIX}.sql
gzip -f ${PATH_BACKUP}/${DATE_PREFIX}/rmc_${DATE_PREFIX}.sql

# Dados do servidor FTP para onde o backup serah enviado
HOST_FTP="ftp.bonamigo.net"
USUARIO_FTP="intertower@bonamigo.net"
SENHA_FTP="01@25458565#04"

# Acessa o FTP e envia os arquivos de backup
ftp -in <<EOF
open $HOST_FTP
user $USUARIO_FTP $SENHA_FTP
bin
cd ${REMOTEDIR}
lcd /${DIRETORIOS}
mput * 
bye
EOF

find ${PATH_BACKUP}/* -mtime +30 -exec rm -rf {} \;
