#!/bin/bash
#set -x

#Define a pasta raiz
PACH_BACKUP_ANO="/var/spool/asterisk/comercial"

#Define a pasta que sera criada
DATE_PREFIX_ANO=$(date +%Y)
DATE_PREFIX_MES=$(date +%B)

#Acessa a pasta raiz
cd ${PACH_BACKUP_ANO}

#Checa se já existe a pasta ANO
if [ -d ${DATE_PREFIX_ANO} ]; then
echo

#Cria a pasta ANO caso nao exista
else
mkdir -p ${PACH_BACKUP_ANO}/${DATE_PREFIX_ANO}
fi

PACH_BACKUP_MES="/var/spool/asterisk/comercial/${DATE_PREFIX_ANO}"
cd ${PACH_BACKUP_MES}

#Checa se já existe a pasta criada
if [ -d ${DATE_PREFIX_MES} ]; then
echo

#Cria a pasta caso não exista
else
mkdir -p ${PACH_BACKUP_MES}/${DATE_PREFIX_MES}
fi

#Executa uma busca e move os arquivos do dia para a pasta de destino
find ${PACH_BACKUP_ANO}/*.wav -ctime -1 -exec mv {} ${PACH_BACKUP_MES}/${DATE_PREFIX_MES} \;


