#!/bin/bash
set -x

#Define a pasta raiz
PACH_BACKUP_ANO="/var/www/html/monitor"

#Define a pasta que sera criada
DATE_PREFIX_ANO=$(date +%Y)
DATE_PREFIX_MES=$(date +%B)
DATE_PREFIX_DIA=$(date +%d)
DATE_PREFIX_MES_A=$(date +%B -d 'last month')

#Acessa a pasta raiz
cd ${PACH_BACKUP_ANO}

#Checa se já existe a pasta ANO
if [ -d ${DATE_PREFIX_ANO} ]; then
echo

#Cria a pasta ANO caso nao exista
else
mkdir -p ${PACH_BACKUP_ANO}/${DATE_PREFIX_ANO}
fi

PACH_BACKUP_MES="/var/www/html/monitor/${DATE_PREFIX_ANO}"
cd ${PACH_BACKUP_MES}

#Checa se já existe a pasta criada
if [ -d ${DATE_PREFIX_MES} ]; then
echo

#Cria a pasta caso não exista
else
mkdir -p ${PACH_BACKUP_MES}/${DATE_PREFIX_MES}
fi

#Verificar o dia do mês, caso nao seja dia 01 move normalmente os arquivos
if [ ${DATE_PREFIX_DIA} != 01 ]; then
#Executa uma busca e move os arquivos do dia para a pasta de destino
find ${PACH_BACKUP_ANO}/*.wav -ctime -1 -exec mv {} ${PACH_BACKUP_MES}/${DATE_PREFIX_MES} \;
else
find ${PACH_BACKUP_ANO}/*.wav -ctime -1 -exec mv {} ${PACH_BACKUP_MES}/${DATE_PREFIX_MES_A} \;
#cd ${PACH_BACKUP_ANO}/${DATE_PREFIX_ANO}/${DATE_PREFIX_MES_A}
fi

